# encoding=utf-8
# Author: Yu-Lun Chiang
# Description: configuration


MEDIA_NAME = {
    "appledaily": ["蘋果日報"],
    "bcc": ["中國廣播公司"],
    "bnext": ["數位時代", "Meet創業小聚"],
    "chinatimes": ["中時新聞網"],
    "cmmedia": ["信傳媒"],
    "cna": ["中央社"],
    "cnews": ["匯流新聞網"],
    "ctee": ["工商時報"],
    "ctitv": ["中天新聞"],
    "cts": ["華視新聞"],
    "ctv": ["中視新聞"],
    "cnyes": ["鉅亨新聞網", "鉅亨網"],
    "digitimes": ["DigiTimes"],
    "ebc": ["東森財經新聞"],  # content got locked
    "epochtimes": ["大紀元"],
    "eracom": ["年代新聞"],
    "ettoday": ["ETtoday新聞雲", "ETtoday財經雲"],
    "ftvnews": ["民視新聞"],
    "kairos": ["風向新聞"],
    "ltn": ["自由時報電子報", "自由財經"],
    "mirrormedia": ["鏡週刊"],
    "moneydj": ["MoneyDJ理財網"],
    "moneyudn": ["經濟日報"],
    "mypeoplevol": ["民眾新聞網"],
    "newtalk": ["新頭殼"],
    "nownews": ["今日新聞"],
    "pchome": ["PChome新聞"],
    "peoplenews": ["民報"],
    "pts": ["公視新聞"],
    "rti": ["中央廣播電臺"],
    "setn": ["三立新聞"],
    "sina": ["新浪新聞"],
    "storm": ["風傳媒"],
    "taiwanhot": ["台灣好新聞"],
    "taronews": ["芋傳媒"],
    "technews": ["科技新報", "財經新報"],
    "thenewslens": ["關鍵評論網"],
    "ttv": ["台視新聞"],
    "tvbs": ["TVBS"],
    "udn": ["聯合新聞網"],
    "upmedia": ["上報"],
    "ustv": ["非凡新聞"],
    "wantrich": ["旺得富"],
    "wealth": ["財訊"],
    "worldjournal": ["世界新聞網"],
    "yahoo": ["Yahoo奇摩新聞", "Yahoo奇摩股市"],
}


MEDIA_URL = {
    "蘋果日報": "https://tw.appledaily.com",
    "中國廣播公司": "https://www.bcc.com.tw",
    "數位時代": "https://www.bnext.com.tw",
    "Meet創業小聚": "https://meet.bnext.com.tw",
    "中時新聞網": "https://www.chinatimes.com",
    "信傳媒": "https://www.cmmedia.com.tw",
    "中央社": "https://www.cna.com.tw",
    "匯流新聞網": "https://cnews.com.tw",
    "工商時報": "https://ctee.com.tw",
    "中天新聞": "https://gotv.ctitv.com.tw",
    "華視新聞": "https://news.cts.com.tw",
    "中視新聞": "http://new.ctv.com.tw",
    "鉅亨網": "https://m.cnyes.com",
    "鉅亨新聞網": "https://news.cnyes.com",
    "DigiTimes": "https://www.digitimes.com.tw",
    "東森財經新聞": "https://fnc.ebc.net.tw",  # contents got locked
    "大紀元": "https://www.epochtimes.com",
    "年代新聞": "https://www.eracom.com.tw",
    "ETtoday新聞雲": "https://www.ettoday.net",
    "ETtoday財經雲": "https://finance.ettoday.net",
    "民視新聞": "https://www.ftvnews.com.tw",
    "風向新聞": "https://kairos.news",
    "自由時報電子報": "https://news.ltn.com.tw",
    "自由財經": "https://ec.ltn.com.tw",
    "鏡週刊": "https://www.mirrormedia.mg",
    "MoneyDJ理財網": "https://www.moneydj.com",
    "經濟日報": "https://money.udn.com",
    "民眾新聞網": "https://www.mypeoplevol.com",
    "新頭殼": "https://newtalk.tw",
    "今日新聞": "https://www.nownews.com",
    "PChome新聞": "https://news.pchome.com.tw",
    "民報": "https://www.peoplenews.tw",
    "公視新聞": "https://news.pts.org.tw",
    "中央廣播電臺": "https://www.rti.org.tw",
    "三立新聞": "https://www.setn.com",
    "新浪新聞": "https://news.sina.com.tw",
    "風傳媒": "https://www.storm.mg",
    "台灣好新聞": "https://www.taiwanhot.net",
    "芋傳媒": "https://taronews.tw",
    "科技新報": "https://technews.tw",
    "財經新報": "https://finance.technews.tw",
    "關鍵評論網": "https://www.thenewslens.com",
    "台視新聞": "https://news.ttv.com.tw",
    "TVBS": "https://news.tvbs.com.tw",
    "聯合新聞網": "https://udn.com",
    "上報": "https://www.upmedia.mg",
    "非凡新聞": "https://news.ustv.com.tw",
    "旺得富": "https://wantrich.chinatimes.com",
    "財訊": "https://www.wealth.com.tw",
    "世界新聞網": "https://www.worldjournal.com",
    "Yahoo奇摩新聞": "https://tw.news.yahoo.com",
    "Yahoo奇摩股市": "https://tw.stock.yahoo.com",
}
